## manpages 1.11-7

=== Makefile ===
# Do "make install" to copy the pages to their destination.
# Do "make gz" before "make install" if you use compressed source pages.
# Do "make remove" before "make gz" if you may have uncompressed
# source pages around.

MANDIR=/usr/man

example: remove gz install

remove:
	for i in man?; do for j in $$i/*; do rm -f $(MANDIR)/$$i/$$j; done; done

gz:
	for i in man?; do gzip $$i/*; done

install:
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
# remove pages from man2 that are now in man3
	for j in cfgetispeed cfgetospeed cfsetispeed cfsetospeed \
		tcdrain tcflow tcflush tcgetattr tcgetpgrp \
		tcsendbreak tcsetattr tcsetpgrp termios ;\
	do rm -f $(MANDIR)/man2/$$j.2; done

## manpages 1.19

=== Makefile ===
# Do "make screen" first, if you want to protect already installed,
# more up-to-date manual pages than the ones included in this package.
# Do "make install" to copy the pages to their destination.
# Do "make gz" before "make install" if you use compressed source pages.

# FHS requires /usr/share/man
MANDIR=/usr/man

GZIP=gzip -9

all: screen remove gz install

screen:
	mkdir not_installed
	for i in man?/*; do \
		if [ $(MANDIR)/$$i -nt $$i ]; then \
			diff -q $(MANDIR)/$$i $$i > /dev/null 2>&1; \
			if [ $$? != 0 ]; then mv $$i not_installed; fi; \
		fi; \
	done

remove:
	rm -f $(MANDIR)/man2/modules.2 $(MANDIR)/man2/modules.2.gz
	rm -f $(MANDIR)/man3/exect.3 $(MANDIR)/man3/exect.3.gz
	for i in man?; do for j in $$i/*; do \
		rm -f $(MANDIR)/$$j $(MANDIR)/$$j.gz; done; done

gz:
	for i in man?; do $(GZIP) $$i/*; done

install:
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
# someone might also want to look at /var/catman/cat2 or so ...
# a problem is that the location of cat pages varies a lot

## manpages 1.22

=== Makefile ===
# Do "make screen" first, if you want to protect already installed,
# more up-to-date manual pages than the ones included in this package.
# Do "make install" to copy the pages to their destination.
# Do "make gz" or "make bz2" first if you use compressed source pages.

# FHS requires /usr/share/man
MANDIR=/usr/man

GZIP=gzip -9
BZIP2=bzip2 -9

all: screen remove install

allgz: gz all

allbz: bz2 all

# Unfortunately, due to BSD brain damage codified by POSIX,
# code like "for i in dir/*; do STH; done" does not loop over
# all files in dir - indeed, when dir is empty it does STH
# once instead of zero times. David Balazic found that he
# lost his files and noticed the cause.
# [If we knew for sure this was using bash, we could set
#  allow_null_glob_expansion.]

screen:
	mkdir not_installed
	files=man?/*; \
	if [ "$$files" != "man?/*" ]; then for i in $$files; do \
		if [ $(MANDIR)/$$i -nt $$i ]; then \
			diff -q $(MANDIR)/$$i $$i > /dev/null 2>&1; \
			if [ $$? != 0 ]; then mv $$i not_installed; fi; \
		fi; \
	done; fi

remove:
	rm -f $(MANDIR)/man2/modules.2 $(MANDIR)/man2/modules.2.gz
	rm -f $(MANDIR)/man3/exect.3 $(MANDIR)/man3/exect.3.gz
	files=man?/*; \
	if [ "$$files" != "man?/*" ]; then for i in $$files; do \
		rm -f $(MANDIR)/$$i $(MANDIR)/$$i.gz $(MANDIR)/$$i.bz2; \
	done; fi

gz:
	for i in man?; do $(GZIP) $$i/*; done

bz2:
	for i in man?; do $(BZIP2) $$i/*; done

install:
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
# someone might also want to look at /var/catman/cat2 or so ...
# a problem is that the location of cat pages varies a lot

## manpages 1.29

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,9 @@
 #  allow_null_glob_expansion.]
 
 screen:
-	mkdir not_installed
+	-mkdir not_installed
 	files=man?/*; \
-	if [ "$$files" != "man?/*" ]; then for i in $$files; do \
+	if [ "$$files" != "man\?/\*" ]; then for i in $$files; do \
 		if [ $(MANDIR)/$$i -nt $$i ]; then \
 			diff -q $(MANDIR)/$$i $$i > /dev/null 2>&1; \
 			if [ $$? != 0 ]; then mv $$i not_installed; fi; \
@@ -34,10 +34,8 @@
 	done; fi
 
 remove:
-	rm -f $(MANDIR)/man2/modules.2 $(MANDIR)/man2/modules.2.gz
-	rm -f $(MANDIR)/man3/exect.3 $(MANDIR)/man3/exect.3.gz
 	files=man?/*; \
-	if [ "$$files" != "man?/*" ]; then for i in $$files; do \
+	if [ "$$files" != "man\?/\*" ]; then for i in $$files; do \
 		rm -f $(MANDIR)/$$i $(MANDIR)/$$i.gz $(MANDIR)/$$i.bz2; \
 	done; fi

## manpages 1.39

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Do "make gz" or "make bz2" first if you use compressed source pages.
 
 # FHS requires /usr/share/man
-MANDIR=/usr/man
+MANDIR=$(prefix)/usr/man
 
 GZIP=gzip -9
 BZIP2=bzip2 -9

## manpages 2.77

=== Makefile ===
# Do "make screen" first, if you want to protect already installed,
# more up-to-date manual pages than the ones included in this package.
# Do "make install" to copy the pages to their destination.
# Do "make gz" or "make bz2" first if you use compressed source pages.

DESTDIR=
prefix?=/usr
MANDIR=$(prefix)/share/man

GZIP=gzip -9
BZIP2=bzip2 -9

all: screen remove install

allgz: gz all

allbz: bz2 all

screen:
	-mkdir not_installed
	for i in man?/*; do \
		if [ $(MANDIR)/"$$i" -nt "$$i" ]; then \
			cmp -s $(MANDIR)/"$$i" "$$i" > /dev/null 2>&1; \
			if [ "$$?" != 0 ]; then mv "$$i" not_installed; fi; \
		fi; \
	done

remove:
	for i in man?/* man??/*; do \
		rm -f $(MANDIR)/"$$i" $(MANDIR)/"$$i".gz $(MANDIR)/"$$i".bz2; \
	done

gz:
	for i in man? man??; do $(GZIP) "$$i"/*; done

bz2:
	for i in man? man??; do $(BZIP2) "$$i"/*; done

# Use with
#  make HTDIR=/some/dir HTOPTS=whatever html
# The sed removes the lines "Content-type: text/html\n\n"
html:
	@if [ x$(HTDIR) = x ]; then echo "You must set HTDIR."; else \
	for i in man?; do \
		[ -d $(HTDIR)/"$$i" ] || mkdir -p $(HTDIR)/"$$i"; \
		find "$$i/" -type f | while read f; do \
			(cd "$$i"; man2html $(HTOPTS) `basename $$f`) | \
			sed -e '1,2d' > $(HTDIR)/"$$i"/`basename $$f`.html; \
		done; \
	done; fi

README=$(DESTDIR)$(MANDIR)/man1/README
install:
	for i in man? man??; do \
		install -d -m 755 $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
		install -m 644 "$$i"/* $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
	done; \
	rm -f $(README) $(README).gz $(README).bz2

# someone might also want to look at /var/catman/cat2 or so ...
# a problem is that the location of cat pages varies a lot

## manpages 3.54

=== debian/changelog ===
manpages (3.54-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1233910); remaining changes:
    - man2/ptrace.2: Document Yama-specific PTRACE_ATTACH behaviour
      which has been the default in Ubuntu since maverick.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 03 Oct 2013 18:25:30 +0200

manpages (3.54-1) unstable; urgency=low

  * Imported Upstream version 3.54
    . dir_colors.5: Add various synonyms (Closes: #553477)
    . ip.7: IP_MULTICAST_IF setsockopt recognizes struct mreq (Closes: #607979)

 -- Simon Paillard <spaillard@debian.org>  Mon, 23 Sep 2013 23:11:58 +0200

manpages (3.53-1) unstable; urgency=low

  * Imported Upstream version 3.53
    . new manpage: restart_syscall.2
    . resolv.conf.5: Explain how to set empty domain (Closes: #463575)
  * missing.7: update after #235967 closure

 -- Simon Paillard <spaillard@debian.org>  Thu, 05 Sep 2013 01:16:25 +0200

manpages (3.52-1ubuntu1) saucy; urgency=low

  * Resynchronize with Debian unstable, remaining changes:
    - man2/ptrace.2: Document Yama-specific PTRACE_ATTACH behaviour
      which has been the default in Ubuntu since maverick.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Aug 2013 14:08:38 +0100

manpages (3.52-1) unstable; urgency=low

  * Imported Upstream version 3.52
    . bootparam.7: Remove outdated text on LILO and LoadLin (Closes: #604019)
  * Take over libc-bin related manpages (Closes: #564874)
    . d/control: Replaces libc-bin (<< 2.17-91)
    . install: ldd.1 ldconfig.8 ld.so.8 gai.conf.5 zic.8 zdump.8
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/watch: Switch to xz upstream source

 -- Simon Paillard <spaillard@debian.org>  Wed, 31 Jul 2013 20:20:11 +0200

manpages (3.51-1ubuntu1) saucy; urgency=low

  * Resynchronize with debian (LP: #1179064), remaining changes:
    - man2/ptrace.2: Document Ubuntu-specific PTRACE_ATTACH
  * man2/prctl.2: PR_SET_PTRACER now documented upstream, change dropped.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Fri, 19 Jul 2013 20:07:34 -0600

manpages (3.51-1) unstable; urgency=low

  * Imported Upstream version 3.51:
    . new manpages: kcmp.3 s390_runtime_instr.2 if_freenameindex.3
      if_indextoname.3 if_nameindex.3 if_nametoindex.3 (Closes: #235967)
      perf_event_open.2 getcontext.3 getdtablesize.3 pthread_getname_np.3
      pthread_setname_np.3 setcontext.3 sln.8
      fattach.2 fdetach.2 getmsg.2 getunwind.2 isastream.2
      perfmonctl.2 putmsg.2 nss.5
    . ttyname.3: Fix confused text in ERRORS (Closes: #676264)
    . proc.5: Add field numbers for (Closes: #553413)
    . read.2: Remove crufty text about O_NONBLOCK on files (Closes: #700529)
    . read.2: Clarify interaction of count==0 and error check (Closes: #533232)
    . getpeername.2: Clarify semantics of getpeername() for datagram
      sockets (Closes: #674034)
    . mmap.2: Some 'flags' values require a feature test macro to be
      defined (Closes: #542601)
    . resolver.3, resolv.conf.5: RES_DEBUG is only available if glibc is
      compiled with debug support (Closes: #692136)
    . stdarg.3: Describe va_copy() (Closes: #575077)
    . futimes.3: ERRORS: Add ENOSYS for lutimes() (Closes: #620746)
    . units.7: units should use an actual µ (Closes: #704787)
    . access.2: Clarify RETURN VALUE for F_OK (Closes: #705293)
    . resolv.conf.5: Document "single-request-reopen" option (Closes: #699387)
    . bootparam.7: Document 'rootfstype' option (Closes: #182014)
    . ioperm.2: Linux 2.6.8 lifted the port limit to 65,536 (Closes: #578178)
  * d/rules: build-{arch,indep} as required by policy 3.9.4
  * lintian overrides: FSSTND-dir-in-manual-page are alternate path

 -- Simon Paillard <spaillard@debian.org>  Thu, 23 May 2013 23:05:10 +0200

manpages (3.44-1) unstable; urgency=low

  * Imported Upstream version 3.44: (Closes: #692595)
    . new manpages: getauxval.3 secure_getenv.3
    . major update to delete_module.2 init_module.2 prctl.2 getauxval.3 proc.5
    . fts.3: Improve description of physical vs. logical (Closes: #633505)
    . getdomainname.2: these calls relate to NIS, not DNS (Closes: #295635)
    . proc.5: fix 'starttime' description of /proc/PID/stat (Closes: #675891)
    . ptrace.2: Clarify some operations are not present on all
      architectures (Closes: #122383)
  * motd.5 updated and motd.tail removed: due to new behaviour of sysvinit
    2.88dsf-24 (Closes: #691414)
  * Add glibc-doc-reference to package description (Closes: #640764)
  * fputs.3: missing space in putc(c,stdout) (Closes: #693255)
  * resolv.conf.5: Document IPv6 format for nameserver (Closes: #610036)
  * stat.2: Clarify description of EOVERFLOW error (Closes: #604928)
  * Ack my NMUs (Closes: #651476, #670874)

 -- Simon Paillard <spaillard@debian.org>  Fri, 16 Nov 2012 19:56:48 +0100

manpages (3.44-0ubuntu1) raring; urgency=low

  * New upstream release
    - new manpages: phys.2 getauxval.3 secure_getenv.3

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Nov 2012 10:33:14 +1300

manpages (3.42-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Document Ubuntu-specific PTRACE_ATTACH, PR_SET_PTRACER behavior.
  * Ship man1/getent.1 again, and bump libc-bin Replaces to (<< 2.16)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 28 Oct 2012 01:14:59 +0100

manpages (3.42-1) unstable; urgency=low

  [ Simon Paillard ]
  * Add myself to Uploaders 
  * Imported Upstream version 3.42:
    . new manpages: get_robust_list.2 mallinfo.3 malloc_info.3 malloc_stats.3
    . remove outdated links: path_resolution.2 epoll.4 fifo.4 futex.4
      complex.5 environ.5
    . Fix repeated word in memchr.3 (Closes: #679498)
    . isgreater.3: arguments must be real-floating (Closes: #609033)
    . utf-8.7: clarifications (Closes: #538641)
    . getaddrinfo.3: note that AI_ADDRCONFIG is not affected by loopback
      addresses (Closes: #660479)
    . Fix "rtnetlink(7): Line in table too long" (Closes: #674051)


=== debian/control ===
Source: manpages
Section: doc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Schulze <joey@debian.org>
Uploaders: Simon Paillard <spaillard@debian.org>
Priority: important
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages.git
Vcs-Git: git://anonscm.debian.org/collab-maint/manpages.git
Homepage: http://www.kernel.org/doc/man-pages/

Package: manpages
Architecture: all
Suggests: man-browser
Replaces: rsh-server (<< 0.10-7), bind, libc-bin (<< 2.17-91)
Depends: ${misc:Depends}
Priority: important
Description: Manual pages about using a GNU/Linux system
 This package contains GNU/Linux manual pages for these sections:
  4 = Devices (e.g. hd, sd).
  5 = File formats and protocols, syntaxes of several system
      files (e.g. wtmp, /etc/passwd, nfs).
  7 = Conventions and standards, macro packages, etc.
      (e.g. nroff, ascii).
 .
 Sections 1, 6 and 8 are provided by the respective applications. This
 package only includes the intro man page describing the section.
 .
 The man pages describe syntaxes of several system files.

Package: manpages-dev
Architecture: all
Depends: manpages, ${misc:Depends}
Suggests: man-browser
Replaces: glibc-doc (<< 2.11.2-3), libaio-dev
Priority: optional
Description: Manual pages about using GNU/Linux for development
 These man pages describe the Linux programming interface, including
 these two sections:
  2 = Linux system calls.
  3 = Library calls (note that a more comprehensive source of information
      may be found in the glibc-doc and glibc-doc-reference packages).

=== debian/rules ===
#! /usr/bin/make -f

installdir = install -o root -g root -m 755 -d
installdoc = install -o root -g root -m 644

build:
# Builds the binary package.
# empty

clean:
# Undoes the effect of `make -f debian.rules build'.
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-rm -rf *~ *.orig "#*" debian/manpages debian/manpages-dev debian/*~ debian/files*
	-find man? -name '*~' -exec rm {} \;
	rm -rf licenses
	dh_clean

# For Policy 3.9.4
build-arch: build
build-indep: build

binary-arch: build

binary-indep: build
# Makes a binary package.
	dh_clean
	dh_testdir
	dh_testroot
	dh_installdirs -A /usr/share/man
	dh_installdocs *.Announce debian/man-addons.el debian/POSIX-MANPAGES
	dh_installchangelogs Changes
	dh_installchangelogs Changes.old

	$(installdir) debian/manpages/usr/share/lintian/overrides
	$(installdir) debian/manpages-dev/usr/share/lintian/overrides
	$(installdoc) debian/lintian.manpages debian/manpages/usr/share/lintian/overrides/manpages
	$(installdoc) debian/lintian.manpages-dev debian/manpages-dev/usr/share/lintian/overrides/manpages-dev

	# manpages-dev has no docs dir
	rm -rf debian/manpages-dev/usr/share/doc/manpages-dev
	ln -s manpages debian/manpages-dev/usr/share/doc/manpages-dev

	/bin/bash debian/inst

	ln -s regex.7.gz debian/manpages/usr/share/man/man7/re_format.7.gz
	ln -s feature_test_macros.7.gz debian/manpages/usr/share/man/man7/ftm.7.gz

	/usr/bin/perl debian/make-copyright licenses debian/manpages/usr/share/doc/manpages/copyright

	rm -rf licenses
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/docs/man-pages/man-pages-(.*)\.tar\.xz
# http://man7.org/linux/download/man-pages/man-pages-(.*)\.tar\.gz

## manpages 3.65

=== debian/changelog ===
manpages (3.65-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_ubuntu_ptrace_notes.patch: 
      - Document Yama-specific PTRACE_ATTACH behaviour
        which has been the default in Ubuntu since maverick.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Jul 2014 15:57:11 +0200

manpages (3.65-1) unstable; urgency=medium

  * Imported Upstream version 3.65
    . new manpages:
      * duplocale.3 locale.1 newlocale.3 uselocale.3
      * open_by_handle_at.2 inet_net_pton.3
    . removed manpage: sync.8 while coreutils provides sync.1
  * d/control: Take over locale.1 from libc-bin (See #556173)
  * fallocate.2: format fix

 -- Simon Paillard <spaillard@debian.org>  Wed, 07 May 2014 14:17:40 +0200

manpages (3.61-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_ubuntu_ptrace_notes.patch: 
      - Document Yama-specific PTRACE_ATTACH behaviour
        which has been the default in Ubuntu since maverick.
  * debian/patches/01_ubuntu_ptrace_notes.patch:
    - convert to quilt patch, fix the location of the note
      in the man-page
    - add DEP-3 header

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2014 14:17:43 +0200

manpages (3.61-1) unstable; urgency=medium

  * Imported Upstream version 3.61
    . Convert pages containing non-ASCII to use UTF-8
      (Closes: #388589, #215781)
    . Merge most *at.2 pages now these functions are wide spread:
      faccessat.2 fchmodat.2 fchownat.2 fstatat.2 linkat.2 mkdirat.2 mknodat.2
      openat.2 readlinkat.2 renameat.2 symlinkat.2 unlinkat.2 mkfifoat.3
      scandirat.3

 -- Simon Paillard <spaillard@debian.org>  Mon, 03 Mar 2014 22:42:47 +0100

manpages (3.58-1) unstable; urgency=medium

  * Imported Upstream version 3.58
  * debian/upstream/signing-key.asc: Michael Kerrisk key 0x3A35CE5E

 -- Simon Paillard <spaillard@debian.org>  Sat, 15 Feb 2014 00:49:10 +0100

manpages (3.57-1) unstable; urgency=medium

  * Imported Upstream version 3.57
    . select.2: RETURN VALUE: Fix discussion of treatment of file descriptor
      (Closes: #574370)
    . environ.7: Correct reference to locale(7) (not locale(5))
      (Closes: #638186)
    . filesystems.5: Add reference to proc(5) for more details on
      /proc/filesystems (Closes: #735590)
  * debian/control: Bump Standards-Version to 3.9.5

 -- Simon Paillard <spaillard@debian.org>  Mon, 03 Feb 2014 22:04:08 +0100

manpages (3.56-1) unstable; urgency=medium

  * Imported Upstream version 3.56
    . strptime.3: Add number ranges to comments in 'tm' struct (Closes: #729570)
    . strspn.3: Improve description in NAME (Closes: #723659)
    . mcheck.3: typo in compiler flag (Closes: #732464)
    . vdso.7: New page documenting the vDSO mapped into each process by the
      kernel

 -- Simon Paillard <spaillard@debian.org>  Fri, 17 Jan 2014 23:15:55 +0100

manpages (3.55-1) unstable; urgency=low

  * Imported Upstream version 3.55

 -- Simon Paillard <spaillard@debian.org>  Sat, 14 Dec 2013 16:59:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Simon Paillard <spaillard@debian.org>
 Priority: important
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/manpages.git
 Homepage: http://www.kernel.org/doc/man-pages/
@@ -13,7 +13,7 @@
 Package: manpages
 Architecture: all
 Suggests: man-browser
-Replaces: rsh-server (<< 0.10-7), bind, libc-bin (<< 2.17-91)
+Replaces: rsh-server (<< 0.10-7), bind, libc-bin (<< 2.19-1)
 Depends: ${misc:Depends}
 Priority: important
 Description: Manual pages about using a GNU/Linux system

## manpages 3.74

=== debian/changelog ===
manpages (3.74-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_ubuntu_ptrace_notes.patch: 
      - Document Yama-specific PTRACE_ATTACH behaviour
        which has been the default in Ubuntu since maverick.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 10:26:42 +0100

manpages (3.74-1) unstable; urgency=medium

  * Imported Upstream version 3.74
    . new manpages:
      cp1252.7 memusage.1 memusagestat.1 mtrace.1
      namespaces.7 pid_namespaces.7 pldd.1 user_namespaces.7
  * drand48.3: not obsoleted by SVID 3 (Closes: #758293)
  * Solve conflict with libcerf-doc: stop installing cerf.3 and cerfc.3
    (Closes: #764310)
  * motd.5: /run/motd.dynamic deprecated (Closes: #764844)
  * d/control: Take over mtrace.1 from libc-dev-bin and pldd.1 from libc-bin

 -- Simon Paillard <spaillard@debian.org>  Mon, 13 Oct 2014 22:43:18 +0200

manpages (3.71-1) unstable; urgency=medium

  * Imported Upstream version 3.71 (Closes: #754514)
    . getrusage.2: _GNU_SOURCE must be defined to obtain RUSAGE_THREAD
      definition (Closes: #746569)
    . strcasecmp.3: Explain why defined in both <string.h>
      and <strings.h> (Closes: #729436)
    . stat.2: Describe feature test macro requirements for file type test
      macro (Closes: #728240)
    . connect.2: ERRORS: Add EADDRNOTAVAIL for ephemeral port range exhaustion
      (Closes: #745775)
    . stdio.3: typo fix (Closes: #748887)
    . connect.2: ERRORS: add EPROTOTYPE (Closes: #708394)
    . printf.3: details of the %n conversion specifier (Closes: #756602)
    . new manpages:
      fanotify.7 fanotify_init.2 fanotify_mark.2 group_member.3
      iconv.1 iconvconfig.8 isfdtype.3 localedef.1 procfs.5 renameat2.2
      repertoiremap.5 sched.7 sched_getattr.2 sched_setattr.2 sched_setattr.2
      sprof.1
  * d/control: Take over iconv.1 localedef.1 iconvconfig.8 from libc-bin,
    and sprof.1 from libc-dev-bin

 -- Simon Paillard <spaillard@debian.org>  Thu, 21 Aug 2014 23:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: manpages
 Architecture: all
 Suggests: man-browser
-Replaces: rsh-server (<< 0.10-7), bind, libc-bin (<< 2.19-1)
+Replaces: bind, libc-bin (<< 2.19-12), libc-dev-bin (<< 2.19-12)
 Depends: ${misc:Depends}
 Priority: important
 Description: Manual pages about using a GNU/Linux system

## manpages 4.04

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 GZIP=gzip -9
 BZIP2=bzip2 -9
+LZMA=xz -9
 
 all: screen remove install
 
@@ -16,8 +17,10 @@
 
 allbz: bz2 all
 
+allxz: xz all
+
 screen:
-	-mkdir not_installed
+	mkdir -p not_installed
 	for i in man?/*; do \
 		if [ $(MANDIR)/"$$i" -nt "$$i" ]; then \
 			cmp -s $(MANDIR)/"$$i" "$$i" > /dev/null 2>&1; \
@@ -25,16 +28,19 @@
 		fi; \
 	done
 
-remove:
-	for i in man?/* man??/*; do \
+uninstall remove:
+	for i in man?/*; do \
 		rm -f $(MANDIR)/"$$i" $(MANDIR)/"$$i".gz $(MANDIR)/"$$i".bz2; \
 	done
 
 gz:
-	for i in man? man??; do $(GZIP) "$$i"/*; done
+	for i in man?; do $(GZIP) "$$i"/*; done
 
 bz2:
-	for i in man? man??; do $(BZIP2) "$$i"/*; done
+	for i in man?; do $(BZIP2) "$$i"/*; done
+
+xz:
+	for i in man?; do $(LZMA) "$$i"/*; done
 
 # Use with
 #  make HTDIR=/some/dir HTOPTS=whatever html
@@ -49,13 +55,24 @@
 		done; \
 	done; fi
 
-README=$(DESTDIR)$(MANDIR)/man1/README
 install:
-	for i in man? man??; do \
+	for i in man?; do \
 		install -d -m 755 $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
 		install -m 644 "$$i"/* $(DESTDIR)$(MANDIR)/"$$i" || exit $$?; \
 	done; \
-	rm -f $(README) $(README).gz $(README).bz2
+
+# Check if groff reports warnings (may be words of sentences not displayed)
+# from http://lintian.debian.org/tags/manpage-has-errors-from-man.html 
+GROFF_LOG := $(shell mktemp /tmp/manpages-checksXXXX)
+check-groff-warnings:
+	for i in man?/*.[1-9]; \
+	do \
+		if grep -q 'SH.*NAME' $$i; then \
+			LC_ALL=en_US.UTF-8 MANWIDTH=80 man --warnings -E UTF-8 -l $$i > /dev/null 2>$(GROFF_LOG); \
+			[ -s $(GROFF_LOG) ] && ( echo "$$i: " ; cat $(GROFF_LOG) ; echo "" ); \
+			rm $(GROFF_LOG) 2>/dev/null; \
+		fi \
+	done
 
 # someone might also want to look at /var/catman/cat2 or so ...
 # a problem is that the location of cat pages varies a lot

=== debian/changelog ===
manpages (4.04-2) unstable; urgency=medium

  * Update copyright to DEP-5 format
  * Remove superfluous priority from binary package
  * Reduce d/rules using debhelper 9
    - Add d/manpages.docs for debhelper
    - Rename lintian override files for dh_lintian
    - Install upstream's changelogs
  * Remove Ubuntu specific patch which is not needed any longer
  * Remove obsolete manpage for LDP.7
  * Remove obsolete manpage of missing manpages.
    This manpage is severely outdated, some bugs have been fixed
    already years ago, other bugs do no longer apply to this package,
    and the list is incomplete. Moreover, missing manpages are
    now tracked upstream on the website.
  * Remove obsolete manpage undocumented.7.
    This manpage was provided in order to comply with an ancient
    policy version. The manpage is no longer needed since Nov 2002.
    Closes: #506653, LP:#426359

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Feb 2016 14:02:08 +0100

manpages (4.04-1) unstable; urgency=medium

  * Acknowledge NMU
  * Add myself as uploader
  * Update Vcs-* URLs
  * Downgrade Priority from important to standard to match ftp-master's
    override
  * d/control: Bump Standards-Version to 3.9.7, no changes needed
  * Use debhelper v9
  * Revert direct changes to upstream sources
    - Add patches as separate files
    - Add Ubuntu specific patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 08 Feb 2016 10:37:35 +0100

manpages (4.04-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 4.04 (Closes: #785178)
    . cerf*.3 manpages have been removed upstream. (Closes: #765592)
    . vfprintf.3: Add note about thread safeness of %m. (Closes: #621057)
    . console.4: Is now included in this package. (Closes: #774022)
    . tzfile.5: Remove double "SEE ALSO" section (Closes: #765596)
  * Make build reproducible, thanks to Jérémy Bobbio. (Closes: #774852)
  * Update d/inst with current list of sid manpages

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 05 Jan 2016 12:13:34 +0100

manpages (3.82-1) UNRELEASED; urgency=medium

  * Imported Upstream version 3.82
    . clock.3: CLOCKS_PER_SEC = 1000000 is required by XSI, not POSIX
      (Closes: #728213)
    . hosts.5: Mention 127.0.1.1 for FQDN and IPv6 examples (Closes: #562890)
    . host.conf.5: Rework discussion of nospoof, spoofalert, spoof and
      RESOLV_SPOOF_CHECK (Closes: #773443)
    . host.conf.5, hosts.5, resolv.conf.5: Cross references of these pages
      (Closes: #298259)
    . ipv6.7: SOL_IPV6 and other SOL_* options socket are not portable
      (Closes: #472447)
    . random.4: Since Linux 3.16, reads from /dev/urandom return at most 32 MB
      (Closes: #775328)
    . resolver.3: Document missing options used by _res structure indicate
      defaults (Closes: #527136)
    . resolver.3, host.conf.5: host.conf 'order' option deprecated, replaced by
      nsswitch.conf(5) (Closes: #270368, #396633, #344233)
    . xdr.3: Clarified incompatibility and correct usage of XDR API
      (Closes: #628099)

 -- Simon Paillard <spaillard@debian.org>  Thu, 16 Apr 2015 21:22:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: manpages
 Section: doc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Schulze <joey@debian.org>
-Uploaders: Simon Paillard <spaillard@debian.org>
-Priority: important
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/manpages.git
+Maintainer: Martin Schulze <joey@debian.org>
+Uploaders: Simon Paillard <spaillard@debian.org>, Dr. Tobias Quathamer <toddy@debian.org>
+Priority: standard
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/manpages.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/manpages.git
 Homepage: http://www.kernel.org/doc/man-pages/
 
 Package: manpages
 Architecture: all
 Suggests: man-browser
-Replaces: bind, libc-bin (<< 2.19-12), libc-dev-bin (<< 2.19-12)
+Replaces: bind,
+          console-tools (<= 1:0.2.3dbs-70),
+          libc-bin (<< 2.19-12),
+          libc-dev-bin (<< 2.19-12)
 Depends: ${misc:Depends}
-Priority: important
 Description: Manual pages about using a GNU/Linux system
  This package contains GNU/Linux manual pages for these sections:
   4 = Devices (e.g. hd, sd).

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
override_dh_auto_build:
# Nothing to be done here, we're using a custom installation.

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installman:
	dh_installman
	# Remove intro.{2,3} manpages from manpages-dev,
	# they are included in manpages
	rm -f debian/manpages-dev/usr/share/man/man2/intro.2
	rm -f debian/manpages-dev/usr/share/man/man3/intro.3
	# Provided by time
	rm -f debian/manpages/usr/share/man/man1/time.1
	# Provided by fdutils
	rm -f debian/manpages/usr/share/man/man4/fd.4
	# Provided by attr
	rm -f debian/manpages/usr/share/man/man5/attr.5
	# Provided by ftpd etc.
	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
	# Provided by passwd
	rm -f debian/manpages/usr/share/man/man5/passwd.5
	# Provided by nscd
	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
	rm -f debian/manpages/usr/share/man/man8/nscd.8
	# Provided by libattr1-dev
	rm -f debian/manpages-dev/usr/share/man/man2/fgetxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/flistxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/fremovexattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/fsetxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/getxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/lgetxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/listxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/llistxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/lremovexattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/lsetxattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/removexattr.2
	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2

# manpages-dev has no docs dir
override_dh_installdocs:
	dh_installdocs
	rm -rf debian/manpages-dev/usr/share/doc/manpages-dev
	ln -s manpages debian/manpages-dev/usr/share/doc/manpages-dev

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://www.kernel.org/pub/linux/docs/man-pages/man-pages-(.*)\.tar\.xz
# http://man7.org/linux/download/man-pages/man-pages-(.*)\.tar\.gz

## manpages 4.07

=== debian/changelog ===
manpages (4.07-1) unstable; urgency=medium

  * Imported Upstream version 4.07
  * Refresh patches
  * Update d/copyright
  * Update Standards-Version to 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 19 Jul 2016 20:21:20 +0200

manpages (4.06-1) unstable; urgency=medium

  * Imported Upstream version 4.06
  * Refresh patches
  * Update d/copyright
  * Remove strict NMU rules, don't seem to apply anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 May 2016 17:35:22 +0200

manpages (4.05-1) unstable; urgency=medium

  * Imported Upstream version 4.05
    - write.2: Document behaviour on tty devices. (Closes: #797479)
    - clearenv.3: Clarify the use and effect of clearenv(). (Closes: #679323)
    - perror.3: Suggest use of strerror(3) in place of deprecated
      'sys_errlist'. (Closes: #794876)
    - printf.3: Remove stray asterisk in "NAN*". (Closes: #756599)
    - unicode.7: Document "Private Use Areas". (Closes: #285444)
  * Do not install sk98lin.4 (Closes: #780544)
  * Refresh patches
  * Remove obsolete installation script
  * Update d/copyright and d/watch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 16 Mar 2016 17:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Simon Paillard <spaillard@debian.org>, Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/manpages.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/manpages.git
 Homepage: http://www.kernel.org/doc/man-pages/

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 	rm -f debian/manpages-dev/usr/share/man/man2/lsetxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/removexattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2
+	# Do not install sk98lin.4, see https://bugs.debian.org/780544
+	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
 
 # manpages-dev has no docs dir
 override_dh_installdocs:

## manpages 4.09

=== debian/changelog ===
manpages (4.09-2) unstable; urgency=medium

  * Do not install tmpfs.5 (Closes: #847998)
    This is a temporary fix to allow the installation with initscripts,
    because the manpage tmpfs.5 has been newly introduced in manpages 4.09.
    In the long run, the naming conflict should be sorted out between
    manpages and initscripts.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Dec 2016 17:28:01 +0100

manpages (4.09-1) unstable; urgency=medium

  * Imported Upstream version 4.09 (Closes: #574041, #839705, #840499)
    - Refresh patches
    - Drop 0012-mdoc.7.patch (applied upstream)
  * Remove console-tools from Replaces, the package is only in oldstable
  * Remove libc-{,dev-}bin from Replaces, the packages are no longer available
  * Remove bind from Replaces, the package is no longer available
  * Remove glibc-doc from Replaces, that package version is no longer available
  * Remove libaio-dev from Replaces, the file conflict has been resolved
  * Add Multi-Arch: foreign to binary packages
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Dec 2016 22:09:59 +0100

manpages (4.08-1) unstable; urgency=medium

  * Imported Upstream version 4.08
  * Refresh patches
  * Update d/copyright
  * Switch to debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 08 Oct 2016 15:14:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,8 @@
 	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2
 	# Do not install sk98lin.4, see https://bugs.debian.org/780544
 	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
+	# Temporary fix: Do not install tmpfs.5, see https://bugs.debian.org/847998
+	rm -f debian/manpages/usr/share/man/man5/tmpfs.5
 
 # manpages-dev has no docs dir
 override_dh_installdocs:

## manpages 4.10

=== debian/changelog ===
manpages (4.10-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 10 Apr 2017 13:48:20 +0200

manpages (4.10-2) unstable; urgency=medium

  * Remove conflicting files. (Closes: #859514, #859511)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 05 Apr 2017 20:17:49 +0200

manpages (4.10-1) unstable; urgency=medium

  * Imported Upstream version 4.10
  * Refresh patches
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 04 Apr 2017 13:50:44 +0200

manpages (4.09-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports
  * Use debhelper v10 again, now available in backports

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 25 Dec 2016 17:10:07 +0100

manpages (4.08-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Switch back to debhelper v9 (D'oh!)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 08 Oct 2016 15:29:58 +0200

manpages (4.07-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Aug 2016 06:24:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Martin Schulze <joey@debian.org>
 Uploaders: Simon Paillard <spaillard@debian.org>, Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/manpages.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/manpages.git
@@ -11,12 +11,9 @@
 
 Package: manpages
 Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Suggests: man-browser
-Replaces: bind,
-          console-tools (<= 1:0.2.3dbs-70),
-          libc-bin (<< 2.19-12),
-          libc-dev-bin (<< 2.19-12)
-Depends: ${misc:Depends}
 Description: Manual pages about using a GNU/Linux system
  This package contains GNU/Linux manual pages for these sections:
   4 = Devices (e.g. hd, sd).
@@ -32,9 +29,9 @@
 
 Package: manpages-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: manpages, ${misc:Depends}
 Suggests: man-browser
-Replaces: glibc-doc (<< 2.11.2-3), libaio-dev
 Priority: optional
 Description: Manual pages about using GNU/Linux for development
  These man pages describe the Linux programming interface, including

=== debian/rules ===
--- 
+++ 
@@ -16,20 +16,10 @@
 	# they are included in manpages
 	rm -f debian/manpages-dev/usr/share/man/man2/intro.2
 	rm -f debian/manpages-dev/usr/share/man/man3/intro.3
-	# Provided by time
+	# Do not install sk98lin.4, see https://bugs.debian.org/780544
+	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
+	# Start of automatically added files by debian/check-conflicts
 	rm -f debian/manpages/usr/share/man/man1/time.1
-	# Provided by fdutils
-	rm -f debian/manpages/usr/share/man/man4/fd.4
-	# Provided by attr
-	rm -f debian/manpages/usr/share/man/man5/attr.5
-	# Provided by ftpd etc.
-	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
-	# Provided by passwd
-	rm -f debian/manpages/usr/share/man/man5/passwd.5
-	# Provided by nscd
-	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
-	rm -f debian/manpages/usr/share/man/man8/nscd.8
-	# Provided by libattr1-dev
 	rm -f debian/manpages-dev/usr/share/man/man2/fgetxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/flistxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/fremovexattr.2
@@ -42,10 +32,22 @@
 	rm -f debian/manpages-dev/usr/share/man/man2/lsetxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/removexattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2
-	# Do not install sk98lin.4, see https://bugs.debian.org/780544
-	rm -f debian/manpages/usr/share/man/man4/sk98lin.4
-	# Temporary fix: Do not install tmpfs.5, see https://bugs.debian.org/847998
+	rm -f debian/manpages-dev/usr/share/man/man3/explicit_bzero.3
+	rm -f debian/manpages/usr/share/man/man4/fd.4
+	rm -f debian/manpages/usr/share/man/man5/attr.5
+	rm -f debian/manpages/usr/share/man/man5/ftpusers.5
+	rm -f debian/manpages/usr/share/man/man5/nscd.conf.5
+	rm -f debian/manpages/usr/share/man/man5/passwd.5
 	rm -f debian/manpages/usr/share/man/man5/tmpfs.5
+	rm -f debian/manpages/usr/share/man/man7/keyrings.7
+	rm -f debian/manpages/usr/share/man/man7/persistent-keyring.7
+	rm -f debian/manpages/usr/share/man/man7/process-keyring.7
+	rm -f debian/manpages/usr/share/man/man7/session-keyring.7
+	rm -f debian/manpages/usr/share/man/man7/thread-keyring.7
+	rm -f debian/manpages/usr/share/man/man7/user-keyring.7
+	rm -f debian/manpages/usr/share/man/man7/user-session-keyring.7
+	rm -f debian/manpages/usr/share/man/man8/nscd.8
+	# End of automatically added files by debian/check-conflicts
 
 # manpages-dev has no docs dir
 override_dh_installdocs:

## manpages 4.13

=== debian/changelog ===
manpages (4.13-3) unstable; urgency=medium

  * Add Breaks/Replaces to manpages and manpages-dev.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #876128)
  * Fail if there is no Breaks/Replaces for a newly moved file

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 20 Sep 2017 10:07:04 +0200

manpages (4.13-2) unstable; urgency=medium

  * Add new script to check for broken symlinks
  * Call new script in d/rules. (Closes: #876047)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 17 Sep 2017 23:05:27 +0200

manpages (4.13-1) unstable; urgency=medium

  * New upstream version 4.13
  * Remove Simon Paillard from Uploaders on request of the MIA team.
    Thanks a lot for your work! (Closes: #873265)
  * Refresh patches
  * Update conflicting files
  * Update d/copyright
  * Update to Standards-Version 4.1.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 15 Sep 2017 23:19:18 +0200

manpages (4.12-2) unstable; urgency=medium

  * Add Replaces and Breaks for libbsd-dev (<< 0.8.4-1)
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #870225)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 31 Jul 2017 22:01:35 +0200

manpages (4.12-1) unstable; urgency=medium

  * New upstream version 4.12
    - Fix wrong mentioning of POSIX_FADV_NOREUSE flag in posix_madvise(3)
      Closes: #865699
  * Refresh patches
  * Update conflicting files
  * Update d/copyright
  * Update Standards-Version to 4.0.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Jul 2017 23:45:02 +0200

manpages (4.11-1) unstable; urgency=medium

  * New upstream version 4.11
  * Refresh patches
  * Update conflicting files
  * Update d/copyright
  * Use faster approach to check for file conflicts

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 18 Jun 2017 23:04:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: manpages
 Section: doc
 Maintainer: Martin Schulze <joey@debian.org>
-Uploaders: Simon Paillard <spaillard@debian.org>, Dr. Tobias Quathamer <toddy@debian.org>
+Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/manpages.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/manpages.git
 Homepage: http://www.kernel.org/doc/man-pages/
@@ -14,6 +14,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: man-browser
+Breaks: manpages-dev (<< 4.13-3)
 Description: Manual pages about using a GNU/Linux system
  This package contains GNU/Linux manual pages for these sections:
   4 = Devices (e.g. hd, sd).
@@ -32,6 +33,8 @@
 Multi-Arch: foreign
 Depends: manpages, ${misc:Depends}
 Suggests: man-browser
+Replaces: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1)
+Breaks: manpages (<< 4.13-3), libbsd-dev (<< 0.8.4-1)
 Priority: optional
 Description: Manual pages about using GNU/Linux for development
  These man pages describe the Linux programming interface, including

## manpages 4.15

=== debian/changelog ===
manpages (4.15-1) unstable; urgency=medium

  * New upstream version 4.15
    - Refresh patches
  * Update d/copyright
  * Update d/watch to version 4, remove broken signature checking
  * Use debhelper v11
  * Switch Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Feb 2018 22:05:07 +0100

manpages (4.14-1) unstable; urgency=medium

  * New upstream version 4.14
    - Document security problems with system.3 and popen.3. Closes: #882222
    - Refresh patches
  * Update d/copyright
  * Use HTTPS for upstream homepage
  * Update Standards-Version to 4.1.1
    - Use HTTPS for d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Nov 2017 21:23:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Maintainer: Martin Schulze <joey@debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/manpages.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/manpages.git
-Homepage: http://www.kernel.org/doc/man-pages/
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/manpages
+Vcs-Git: https://salsa.debian.org/debian/manpages.git
+Homepage: https://www.kernel.org/doc/man-pages/
 
 Package: manpages
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	dh_installchangelogs Changes
 
 override_dh_installman:
+	# Prevent broken symlinks, see https://bugs.debian.org/876047
+	sh debian/move_links_to_correct_package
 	dh_installman
 	# Remove intro.{2,3} manpages from manpages-dev,
 	# they are included in manpages
@@ -32,7 +34,9 @@
 	rm -f debian/manpages-dev/usr/share/man/man2/lsetxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/removexattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2
-	rm -f debian/manpages-dev/usr/share/man/man3/explicit_bzero.3
+	rm -f debian/manpages-dev/usr/share/man/man3/pthread_atfork.3
+	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_destroy.3
+	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_init.3
 	rm -f debian/manpages/usr/share/man/man4/fd.4
 	rm -f debian/manpages/usr/share/man/man5/attr.5
 	rm -f debian/manpages/usr/share/man/man5/ftpusers.5

=== debian/watch ===
version=4
https://www.kernel.org/pub/linux/docs/man-pages/ man-pages@ANY_VERSION@@ARCHIVE_EXT@

## manpages 4.16

=== debian/changelog ===
manpages (4.16-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 10 May 2018 13:16:50 +0200

manpages (4.16-1) unstable; urgency=medium

  * New upstream version 4.16
    - Refresh patches
  * Update Standards-Version to 4.1.4, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 05 May 2018 14:59:16 +0200

manpages (4.15-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use debhelper v10 for backports

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 08 Feb 2018 23:15:05 +0100

manpages (4.14-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Remove temporarily added Breaks and Replaces version for backports

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 03 Dec 2017 22:04:39 +0100

manpages (4.13-3~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Temporarily adjust Breaks and Replaces version for backports

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 26 Sep 2017 13:07:29 +0200

manpages (4.13-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 25 Sep 2017 13:56:04 +0200

manpages (4.12-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Adapt script check-conflicts for stretch
  * Remove man3/explicit_bzero.3 to avoid file conflicts

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Jul 2017 10:51:25 +0200

manpages (4.11-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 28 Jun 2017 17:38:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Martin Schulze <joey@debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Priority: standard
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/manpages
 Vcs-Git: https://salsa.debian.org/debian/manpages.git
 Homepage: https://www.kernel.org/doc/man-pages/

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	rm -f debian/manpages-dev/usr/share/man/man2/lsetxattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/removexattr.2
 	rm -f debian/manpages-dev/usr/share/man/man2/setxattr.2
+	rm -f debian/manpages-dev/usr/share/man/man3/explicit_bzero.3
 	rm -f debian/manpages-dev/usr/share/man/man3/pthread_atfork.3
 	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_destroy.3
 	rm -f debian/manpages-dev/usr/share/man/man3/pthread_mutexattr_init.3
